Bug 1775582 - Missing dependency for wine-capi (isdn4k-utils)
Summary: Missing dependency for wine-capi (isdn4k-utils)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: wine
Version: epel8
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Michael Cronenworth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-22 10:54 UTC by Romain Chantereau
Modified: 2019-12-13 00:11 UTC (History)
3 users (show)

Fixed In Version: wine-4.0.3-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-13 00:11:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Romain Chantereau 2019-11-22 10:54:54 UTC
Description of problem:

Wine depends on wine-capi which depends on isdn4k-utils that is no longer distributed with RHEL8 (https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/considerations_in_adopting_rhel_8/changes-to-packages_considerations-in-adopting-rhel-8#removed-packages_changes-to-packages)

Version-Release number of selected component (if applicable):

wine-capi-4.0.2-1.el8.x86_64
wine-4.0.2-1.el8.x86_64

How reproducible:

Enable RHEL 8 repos (appstream & baseos) and codeready-builder one also for SDL2.

Steps to Reproduce:
1. dnf install wine

Actual results:

 Problème: package wine-4.0.2-1.el8.x86_64 requires wine-capi(x86-64) = 4.0.2-1.el8, but none of the providers can be installed
  - conflicting requests
  - nothing provides isdn4k-utils(x86-64) needed by wine-capi-4.0.2-1.el8.x86_64


Expected results:

Having wine installed.

Additional info:

I tried to install isdn4k-utils RPM packages from https://dl.fedoraproject.org/pub/fedora/linux/releases/30/Everything/x86_64/os/Packages/i/

But it needs additional deps (libgcrypt.so.2, libm.so.6) then I aborted.

Regards,

Comment 1 Fedora Update System 2019-11-23 17:18:03 UTC
FEDORA-EPEL-2019-b45c7e9299 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b45c7e9299

Comment 2 Fedora Update System 2019-11-24 01:25:57 UTC
wine-4.0.2-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b45c7e9299

Comment 3 Fedora Update System 2019-11-27 15:14:31 UTC
FEDORA-EPEL-2019-b45c7e9299 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b45c7e9299

Comment 4 Fedora Update System 2019-11-28 00:41:22 UTC
wine-4.0.3-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-b45c7e9299

Comment 5 Fedora Update System 2019-12-13 00:11:01 UTC
wine-4.0.3-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.